
#header, #footer {
    a {
        color: #fc6;
        text-decoration: none;
    }
    a:hover, a:focus {
        color: #ffc;
    }
}

#header {
    background: #c00;
    padding: 7px 0 0;
    
    #logo {
        text-align: center;
        span {
            font-size: 0.85em;
            display: block;
            text-transform: uppercase;
            color: #f90;
            text-shadow: #600 1px 1px 1px;
            em {
                color: #fc6;
                font-weight: 700;
            }
        }
    }
    
    section {
        min-height: 160px;        
        padding-top: 10px;
        background: #c00 url('images/header.png') 70% 0% no-repeat;
        
        // bxslider
        .bx-wrapper {
            margin: 0 auto;
            .bx-viewport {
                background: transparent;
                border: 0;
                -moz-box-shadow: none;
                -webkit-box-shadow: none;
                box-shadow: none;;
            }
            .bx-pager.bx-default-pager a {
                background: #b00;
            }
            .bx-pager.bx-default-pager a:hover,
            .bx-pager.bx-default-pager a.active {
                background: #e00;
            }
        }
        
        // slide
        ul {
            margin: 0 20px;
            text-shadow: #300 1px 1px 2px;
            li {
                a.heading, span {
                    display: block;                    
                }
                a.heading {
                    font-size: 2.1em;
                    font-weight: 700;
                    line-height: 1.4em;
                    text-transform: uppercase;
                    color: #fc6;  
                }
                a.heading:hover {        
                    color: #ffc;  
                }
                span{    
                    color: #fc9;    
                    font-size: 1.4em;    
                    font-weight: normal;
                    line-height: 1.5em;    
                    text-transform: none;
                    margin-left: 1ex;
                }
            }
        }
    }
    
    nav.navbar {        
        min-height: 40px;
        margin-bottom: 0;
        li, a {
            height: 40px;
        }
        a {
            font-size: 18px;
            line-height: 38px;
        }
        ul {
            margin: 0;
            padding: 0;
            li {
                a:hover, a:focus {
                    background: #d00;
                }
                .dropdown {     
                    background: #c00;
                    li, a {
                        border: 0 !important;
                        color: #fc9;
                    }
                    a {
                        font-size: 14px;
                    }
                }
            }
            li:hover {
                .dropdown {
                    border: 1px solid #900;
                    border-top: 0;
                }
            }
            li.selected {
                background: #d00;
            }
        }
    }
    
}

.gumby-no-touch .navbar ul li:hover > a {
    background: #d00;
    color: #ffc !important;
}

#content {    
    border: 1px solid #900;
    border-left: 0;
    border-right: 0;
    background: #ffddaa;
    padding: 25px 0;
    margin: 0;
    font-size: 0.9em;
    min-height: 600px;
    
    div.row {
        padding: 0 0 15px;
    }
    
    p, li {    
        line-height: 1.8em;
        text-align: justify;
    }
    
    a {
        color: #c00;
        text-decoration: underline;
    }
    a:hover, a:focus {
        color: #900;    
        background: #ffc;  
    }
    
    p {
        margin-bottom: 1ex;
        line-height: 1.4em;
    }
    strong {
        font-weight: 700;
    }
    em {
        font-style: italic;
    }
    h1,  h2,  h3 {
        font-weight: 700;
        color: #300;
    }
    h1 {
        font-size: 1.5em;    
        margin: 0 0 1ex 0;
        color: #c00;
    }
    h2 {
        font-size: 1.1em;
        margin: 1em 0 1ex 0;
        color: #900;
    }
    h3 {
        font-size: 0.95em;
        margin: 1ex 0;
        color: #600;
    }
    /** Lists */
    ul,  ol {
        margin: 1ex 0 1ex 2em ;
        line-height: 1.6em;
    }
    ul > li {
        list-style-type: none;
        list-style-image: url('images/li.png');
    }
    ol > li {
        list-style-type: decimal;
    }
    ul li ul,  ol li ul {
        margin: 0 1em;
    }
    /** Table */
    table {
        width: 100%;
        margin: 1em 0 2em;
        border-collapse: collapse;
        border-spacing: 0;
        td, th{
            border-top: 3px solid #fda;   
            padding: 5px;
        }
        th{
            text-align: left;
            background: #ffc;
            color: #900;
            text-transform: uppercase;
            font-size: 0.8em;
        }
        td {    
            background: #fc9;
        }
        tr:hover td{
            background: #fda
        }
    }
    /** Code */
    code {
        display: block;
        overflow: auto;
        margin: 1em;
        padding: 1ex;
        background: #ffc;
        border: 1px solid #fc9;    
        line-height: 1.3em;
        font-size: 0.9em;
        font-family: "Courier New", Courier, monospace;
        color: #600;
        white-space: pre;   
        span {
            color: #666;
        }
    }
    code.inline {
        display: inline;
        background: transparent;
        border: 0;
        padding: 0;
        margin: 0;    
    }
    /** Elements - positioning */
    .left,  .right,  .center {
        margin: 1em;
    }
    .left {
        float:left;
        margin-left: 0;
    }
    .right {
        float:right;
        margin-right: 0;
    }
    .top {
        margin-top: 0;
    }
    .center {        
        display: block;
        margin: 1em auto;
        width: auto;
        height:auto;
        position:relative;
        text-align:center;
    }
    .alignLeft {
        text-align: left;
    }
    .alignCenter {
        text-align: center;
    }
    .alignRight {
        text-align: right;
    }
    .border {     
        border: 1px solid #900;
        box-shadow: 3px 3px #dca;
        -moz-box-shadow: 3px 3px #dca;
        -webkit-box-shadow: 3px 3px #dca;
    }
    .clear { 
        clear:both
    }
    hr {
        clear: both;
        background: transparent;
        border: 0;
        border-top: 1px solid #dca;
        margin: 1em 0;
    }
    /** Article */
    article {
        margin: 0 0 25px;
        header, div {
            padding: 0;
            clear: both;
        }
        header {
            h1, h2, h3 {
                margin: 0.5ex 0 1ex;
            }
            time {
                font-size: 0.9em;
                color: #555;
            }
        }
    }
    article.index {  
        time, h3 {
            display: inline;
        }
        time {
            font-size: 0.9em;
            color: #900;
        }
        p {
            line-height: 1.8em;
        }
    }
    /** Reference */
    .reference {        
        width: 280px;
        text-align: center;
        margin-right: 2em;
    }
    .reference img {    
        margin-bottom: 1ex;
    }
    .reference a:hover {    
        background: transparent;
    }
    .reference p {
        text-align: left;
    }
    /** Index slider */
    #indexSlider {
        float: right;
        width: 400px;
        padding: 0 0 10px 30px;
        ul {            
            margin: 0;
            padding: 0;
            position: relative;
            li {
                list-style-image: none;
                width: 360px;
                img {
                    margin: 0;
                }
            }
        }
        .bx-wrapper {
            .bx-viewport {
                background: transparent;
                border: 0;
                -moz-box-shadow: none;
                -webkit-box-shadow: none;
                box-shadow: none;;
            }
            .bx-caption {
                line-height: normal;
            }
        }
    }
    /** Importer */
    form#importer {
        input {
            padding: 5px 7px;
            margin: 0 0 7px;
            background: #ffc;
            border: 1px solid #900;
            width: 100%;
        }
        input[type="submit"] {
            background: #c00;
            color: #fda;
        }
        input[type="submit"]:hover, input[type="submit"]:focus {
            cursor: pointer;
            background: #900;
            color: #ffc;
        }
    }
    #disqus {
        padding-top: 15px;
        border-top: 1px solid #dca;
        #dsq-content ul, #dsq-content li {    
            list-style-image: none !important;
        }
        #dsq-content a:hover {
            background: #000;
        }
    }
    nav {
        font-size: 0.8em;
        padding: 10px 0;
        color: #900;
    }
}

#colorbox {
    #cboxTopLeft, #cboxTopRight, #cboxBottomLeft, #cboxBottomRight,
    #cboxMiddleLeft, #cboxMiddleRight, #cboxTopCenter, #cboxBottomCenter,
    #cboxContent {
        background: transparent !important;
    }
    img.cboxPhoto {
        border: 1px solid #c00;        
    }
    #cboxTitle, #cboxCurrent {        
        color: #fda;
        bottom: 0;
    }
}

#footer {
    padding: 7px 0;
    color: #fc9;
    background: #c00;
    font-size: 0.9em;
    text-align: center;
    span {
        display: inline-block;
        padding: 0 7px;
    }
}